## org.eclipse.datatools.connectivity.oda.design
Interface AtomicExpressionContext

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface AtomicExpressionContext

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Atomic Expression Context'. The context within a basic, indivisible unit of expression that can be evaluated by itself.

The following features are supported:

- `Optional`
- `Variable`
- `Arguments`

Since:
  3.2 (DTP 1.7)
See Also:
  `DesignPackage.getAtomicExpressionContext()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`ExpressionArguments` `getArguments()` Returns the value of the 'Arguments' containment reference.
`ExpressionVariable` `getVariable()` Returns the value of the 'Variable' containment reference.
`boolean` `isOptional()` Returns the value of the 'Optional' attribute.
`boolean` `isSetOptional()` Returns whether the value of the '`Optional`' attribute is set.
`void` `setArguments(ExpressionArguments value)` Sets the value of the '`Arguments`' containment reference.
`void` `setOptional(boolean value)` Sets the value of the '`Optional`' attribute.
`void` `setVariable(ExpressionVariable value)` Sets the value of the '`Variable`' containment reference.
`void` `unsetOptional()` Unsets the value of the '`Optional`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### isOptional

    boolean isOptional()

  Returns the value of the 'Optional' attribute. The default value is `"false"`. Indicates whether this atomic expression can be excluded at runtime.

  Returns:
    the value of the 'Optional' attribute.
  See Also:
    `isSetOptional()`, `unsetOptional()`, `setOptional(boolean)`, `DesignPackage.getAtomicExpressionContext_Optional()`

### setOptional

    void setOptional(boolean value)

  Sets the value of the '`Optional`' attribute.

  Parameters:
    `value` - the new value of the 'Optional' attribute.
  See Also:
    `isSetOptional()`, `unsetOptional()`, `isOptional()`

### unsetOptional

    void unsetOptional()

  Unsets the value of the '`Optional`' attribute.

  See Also:
    `isSetOptional()`, `isOptional()`, `setOptional(boolean)`

### isSetOptional

    boolean isSetOptional()

  Returns whether the value of the '`Optional`' attribute is set.

  Returns:
    whether the value of the 'Optional' attribute is set.
  See Also:
    `unsetOptional()`, `isOptional()`, `setOptional(boolean)`

### getVariable

    ExpressionVariable getVariable()

  Returns the value of the 'Variable' containment reference.

  If the meaning of the 'Variable' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Variable' containment reference.
  See Also:
    `setVariable(ExpressionVariable)`, `DesignPackage.getAtomicExpressionContext_Variable()`

### setVariable

    void setVariable(ExpressionVariable value)

  Sets the value of the '`Variable`' containment reference.

  Parameters:
    `value` - the new value of the 'Variable' containment reference.
  See Also:
    `getVariable()`

### getArguments

    ExpressionArguments getArguments()

  Returns the value of the 'Arguments' containment reference. Defines the expression's argument(s) and each of its associated value(s).

  Returns:
    the value of the 'Arguments' containment reference.
  See Also:
    `setArguments(ExpressionArguments)`, `DesignPackage.getAtomicExpressionContext_Arguments()`

### setArguments

    void setArguments(ExpressionArguments value)

  Sets the value of the '`Arguments`' containment reference.

  Parameters:
    `value` - the new value of the 'Arguments' containment reference.
  See Also:
    `getArguments()`